/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   rush02.h                                           :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: cchauvet <cchauvet@student.42angoulem      +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2022/07/31 10:32:28 by cchauvet          #+#    #+#             */
/*   Updated: 2022/07/31 22:42:06 by cchauvet         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#ifndef RUSH02_H
# define RUSH02_H
# include <stdio.h>
# include <unistd.h>
# include <stdlib.h>
# include <sys/types.h>
# include <sys/stat.h>
# include <fcntl.h>
# define PATH "./numbers.dict"
# define LINES_NEED 41

struct	s_number
{
	char	*nbr;
	char	*apc;
};
int				ft_strcmp(char *str1, char *str2);
int				ft_print_dicterror(char *str);
typedef struct s_number	t_number;
char			*cat(char *dest, char *src);
char			*ctoa(char c, unsigned int size);
int				ft_lines_counter(char **strs);
int				ft_lenght(unsigned int nb);
int				ft_dict_validator(char *path);
t_number		*ft_dictionnary_reader(char *path);
int				ft_dict_is_valid(char *path);
int				ft_strstr(char *str, char *to_find);
char			*ft_atonbr(char *str);
char			*ft_atoapc(char *str);
char			*ft_filereader(char *path);
char			**ft_split(char *str, char *charset);
int				ft_strlen(char *str);
int				ft_tablen(t_number *tab);
unsigned int	ft_atoi(char *str);
char			*ft_reverse_str(char *str);
void			ft_putstr(char *str);
char			*ft_tabnbr(unsigned int nb);
int				ft_print_errors(char *str);
void			ft_printapc(char **tab, t_number *dict);
char			**ft_decompose(char *nbr);

#endif
